Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.worklist.api.ui
Class TaskUIContextInfo

    java.lang.Object
      com.bea.wli.worklist.api.ui.TaskUIContextInfo

All Implemented Interfaces:
  Serializable

    public class TaskUIContextInfo

extends Object
implements Serializable

Provides information on the task instance that will act as the context for an ovveridden task user interface. This object provides access to a TaskData instance representing raw information about the task instance as well as a WorklistContext instance that can be used to interact with and modify that task instance.

See Also:
  Serialized Form

Constructor Summary
`TaskUIContextInfo()`

Method Summary
`String` | `getDoneActionContext()` A string value describing an arbitrary object that is associated with the action of quitting the task user interface.
`String` | `getDoneActionLabel()` A display value describing the action of quitting the task user interface.
`TaskData` | `getTaskData()` Get raw information about the task that will act as the context for the task user interface.
`Map<String,TaskListViewInfo>` | `getTaskListViewMap()` Get a map describing the different task view that are provided by the host user interface.
`String` | `getUserName()` Name of the user currently logged in to the user interface
`WorklistContext` | `getWorklistContext()` Get a WorklistContext interface needed to interact with and modify the state of the context task.
`boolean` | `isSessionActive()` Allows the caller to make sure that the session is active and thus can continue using this handle.
`void` | `setDoneActionContext(String doneActionContext)` Set the string value describing the context for the done action in this user interface.
`void` | `setDoneActionLabel(String doneActionLabel)` Set the display value for the done action.
`void` | `updateTaskData(TaskData taskData)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TaskUIContextInfo

    public TaskUIContextInfo()

Method Detail

### getDoneActionContext

    public String getDoneActionContext()

  A string value describing an arbitrary object that is associated with the action of quitting the task user interface. For example, in cases where the host page flow (that called this nested page flow UI) controls login/logout operations for the user, the concept of being done may be equivalent to logging out. In this case, the done action context is likely the name of the user that is logged in, and will be logged out when the done action is taken. Other meanings for the done action are possible, and are not constrained by the TaskUIContextInfo class.

  Returns:
    The context value for the done action.

### setDoneActionContext

    public void setDoneActionContext(String doneActionContext)

  Set the string value describing the context for the done action in this user interface.

  Parameters:
    `doneActionContext` - The context value for the done action.
  See Also:
    `getDoneActionContext()`

### getDoneActionLabel

    public String getDoneActionLabel()

  A display value describing the action of quitting the task user interface. For example, in cases where the host page flow (that called this nested page flow UI) controls login/logout operations for the user, the concept of being done may be equivalent to logging out. In this case, the done action label is likely to be 'Logout'. Other meanings for the done action are possible, and are not constrained by the TaskUIContextInfo class.

  Returns:
    The display label for the done action.

### setDoneActionLabel

    public void setDoneActionLabel(String doneActionLabel)

  Set the display value for the done action.

  Parameters:
    `doneActionLabel` - The display value for the done action.
  See Also:
    `getDoneActionLabel()`

### getUserName

    public String getUserName()

  Name of the user currently logged in to the user interface

  Returns:

### getTaskData

    public TaskData getTaskData()

  Get raw information about the task that will act as the context for the task user interface.

  Returns:

### updateTaskData

    public void updateTaskData(TaskData taskData)

### getWorklistContext

    public WorklistContext getWorklistContext()
                                       throws ManagementException

  Get a WorklistContext interface needed to interact with and modify the state of the context task.

  Throws:
    `ManagementException`

### getTaskListViewMap

    public Map<String,TaskListViewInfo> getTaskListViewMap()

  Get a map describing the different task view that are provided by the host user interface. This task user interface should provide a visual representation of these views, allowing the user to jump back to a task list using one of these views. The manner in which these views are shown to the user and selected by the user is up to the user interface developer. When a user selects a task view, the user interface must exit back to the calling page flow by exiting to the taskUIShowTaskListAction action.

  Returns:

### isSessionActive

    public boolean isSessionActive()

  Allows the caller to make sure that the session is active and thus can continue using this handle. Internally this method is used during session fail over. When the session is recovered by the secondary machine this class needs to be refreshed since it indirectly holds the session object. So the page flows that hold reference to this object need to make sure that the session is active before using it. If not they will have to refresh the handle via the refreshed WorklistContextUIHelper.

  Returns:

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD